import random
random.seed (14125)
test = 9
n = 26

f = open ('%02d' % test, 'w')
s = 'A' * n
f.write (s + '\n')
f.close ()
test += 1

f = open ('%02d' % test, 'w')
s = 'B' * n
f.write (s + '\n')
f.close ()
test += 1

f = open ('%02d' % test, 'w')
s = 'Y' * n
f.write (s + '\n')
f.close ()
test += 1

f = open ('%02d' % test, 'w')
s = 'Z' * n
f.write (s + '\n')
f.close ()
test += 1

for i in range (5):
	f = open ('%02d' % test, 'w')
	s = ''
	for j in range (n):
		s += chr (ord ('A') + random.randrange (n))
	f.write (s + '\n')
	f.close ()
	test += 1

for i in range (10):
	f = open ('%02d' % test, 'w')
	s = ''
	for j in range (n):
	        k = random.randrange (n) + 1
	        k = random.randrange (k) + 1
		s += chr (ord ('A') + n - k)
	f.write (s + '\n')
	f.close ()
	test += 1

for i in range (5):
	f = open ('%02d' % test, 'w')
	p = []
	for j in range (n):
		p.append (j)
	random.shuffle (p)
	s = ''
	for j in range (n):
		s += chr (ord ('A') + p[j])
	f.write (s + '\n')
	f.close ()
	test += 1

for i in range (10):
	f = open ('%02d' % test, 'w')
	p = []
	for j in range (n):
		p.append (j)
	for j in range (1000):
		k = random.randrange (n)
		d = random.randrange (2)
		if d == 0 and p[k] > 0: p[k] -= 1
		elif p[k] < n - 1: p[k] += 1
	random.shuffle (p)
	s = ''
	for j in range (n):
		s += chr (ord ('A') + p[j])
	f.write (s + '\n')
	f.close ()
	test += 1

for i in range (10):
	f = open ('%02d' % test, 'w')
	p = []
	for j in range (n):
		p.append (j)
	for j in range (127):
		k = random.randrange (n)
		d = random.randrange (3)
		if d == 0 and p[k] > 0: p[k] -= 1
		elif p[k] < n - 1: p[k] += 1
	random.shuffle (p)
	s = ''
	for j in range (n):
		s += chr (ord ('A') + p[j])
	f.write (s + '\n')
	f.close ()
	test += 1
